Get user's cards
curl --request GET \
--url https://api.example.com/api/v1/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"cards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"walletAddress": "<string>",
"status": "pending",
"limit": {
"dailyLimit": 123,
"dailyUsage": 0,
"monthlyLimit": 123,
"monthlyUsage": 0,
"lifetimeLimit": 123,
"lifetimeUsage": 0,
"currency": "EUR"
},
"cardData": {
"nameOnCard": "<string>",
"paymentSystem": "<string>",
"lastFour": "<string>",
"expiryDate": "<string>",
"format": "virtual",
"cardName": "<string>"
},
"createdAt": "<string>",
"activated": false,
"billingAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"dailySpend": 0,
"label": "<string>"
}
],
"total": 123,
"created": false,
"kycStatus": "not_started",
"phoneVerified": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Cards
Get user's cards
Sync cards from the card provider and return the list.
GET
/
api
/
v1
/
cards
Get user's cards
curl --request GET \
--url https://api.example.com/api/v1/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"cards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"walletAddress": "<string>",
"status": "pending",
"limit": {
"dailyLimit": 123,
"dailyUsage": 0,
"monthlyLimit": 123,
"monthlyUsage": 0,
"lifetimeLimit": 123,
"lifetimeUsage": 0,
"currency": "EUR"
},
"cardData": {
"nameOnCard": "<string>",
"paymentSystem": "<string>",
"lastFour": "<string>",
"expiryDate": "<string>",
"format": "virtual",
"cardName": "<string>"
},
"createdAt": "<string>",
"activated": false,
"billingAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"dailySpend": 0,
"label": "<string>"
}
],
"total": 123,
"created": false,
"kycStatus": "not_started",
"phoneVerified": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
Successful Response
Paginated list of cards.
Show child attributes
Show child attributes
KYC verification status.
Available options:
not_started, requested, incorporating, pending, under_review, approved, rejected Was this page helpful?